headless lms

Accept a message request

POST /api/member/chats/{chatId}/acceptance. Accept a message request. Headless LMS Chats API reference.

POST
/api/member/chats/{chatId}/acceptance

For the person the request was sent to. The chat opens for both sides. 409 when the chat is not a pending request.

Path Parameters

chatId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/member/chats/string/acceptance"
{  "orgId": "string",  "id": "string",  "communityId": "string",  "kind": "direct",  "status": "pending",  "createdBy": "string",  "lockedAt": "2019-08-24T14:15:22Z",  "lockedBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}